import Stack from '@material-hu/mui/Stack';

import { useLokaliseTranslation } from 'src/utils/i18n';

export type SignatureProps = {
  src: string;
};

export const Signature = ({ src }: SignatureProps) => {
  const { t } = useLokaliseTranslation('web_only');

  return (
    <Stack
      sx={{
        alignItems: 'center',
        justifyContent: 'center',
        height: '134px',
        width: '262px',
      }}
    >
      <img
        alt={t('form_inputs.signature')}
        src={src}
        height="134px"
        width="auto"
      />
    </Stack>
  );
};

export default Signature;
